{% extends 'water/meta_base_fr.html' %} {% block body %}

<h1>{{ site.nom }}</h1>
<h3>{{ site.adresse_1 }}, {{ site.ref_cp }} {{ site.commune }}</h3>

<p>Période sélectionnée: <em>{{ start |date:"d/m/Y"}}</em> au <em>{{end|date:"d/m/Y"}}</em>.</p>

<p>
    L'horodatage est donné dans l'<a
        href="https://fr.wikipedia.org/wiki/Heure_normale_d%27Europe_centrale"
        >heure normale d'Europe centrale</a
    >
    (UTC+1).
</p>

<p>Précision des mesures piézométriques : +- 2 cm</p>

<table>
    <thead>
        <tr>
            <th>Code</th>
            <th>Masse d'eau</th>
            <th>
            Coordonnées Lambert 72 
            </th>
        </tr>
    </thead>

    <tbody>
        <tr>
            <td>{{site.mon_be_code}}</td>
            <td>{{site.nom_gwb_fr}}</td>
            <td>
            {{site.x_ref_m}}, {{site.y_ref_m}} 
            </td>
        </tr>
    </tbody>
</table>


{% if has_statistics %}

<h2>Paramètres</h2>
{% for P in parameters %} 
{% with P.parameter as param %} 
{% with P.statistics as statistics %}

<h3>{{ param }}</h3>

<table>
    <thead>
        <tr>
            <th>Année</th>
            <th>Minimum</th>
            <th>Moyenne</th>
            <th>Médiane</th>
            <th>Maximun</th>
            <th>Nombre de mesures</th>
            <th>Tendance</th>
        </tr>
    </thead>

    <tbody>
        {% for stat in statistics %}
            <!-- don't show stat of this year (because it's not complete yet) -->
            {% if stat.year < today.year %}
            <tr>
                <td>{{stat.year}}</td>
                <td>{{stat.min|floatformat:"-2"}} ({{ stat.min_time }})</td>
                <td>{{stat.avg|floatformat:"-2"}}</td>
                <td>{{stat.p50|floatformat:"-2"}}</td>
                <td>{{stat.max|floatformat:"-2"}} ({{ stat.max_time }})</td>
                <td>{{stat.n|floatformat:"-2"}}</td>
                <td>{{stat.trend}}</td>
            </tr>
            {% endif %}
        {% endfor %}
    </tbody>
</table>

<h3>Moyennes et tendances</h3>

<table>
    <thead>
        <tr>
            <th>Année</th>
            <th>Janvier</th>
            <th>Février</th>
            <th>Mars</th>
            <th>Avril</th>
            <th>Mai</th>
            <th>Juin</th>
            <th>Juillet</th>
            <th>Août</th>
            <th>Septembre</th>
            <th>Octobre</th>
            <th>Novembre</th>
            <th>Décembre</th>
        </tr>
    </thead>
    <tbody>
        {% for stat in statistics %}
        <tr>
            <td>{{stat.year}}</td>
            {% for month in stat.monthly %}
                <!-- don't show stat of this month (because it's not complete yet) -->
                {% if stat.year == today.year and month.month >= today.month %}
                    <td title="{{ month.month }}">
                    </td>
                {% else %}
                    <td title="{{ month.month }}">
                        {{month.avg|floatformat:"-2"}} {{month.trend}}
                    </td>               
                {% endif %}
            {% endfor %}
        </tr>
        {% endfor %}
    </tbody>
</table>

{% endwith %}
{% endwith %} 
{% endfor %} 

<p>
    Sur base mensuelle ou annuelle, la tendance est évaluée en comparant
    la moyenne des mesures piézométriques sur  la période concernée (n) 
    à la moyenne des mesures piézométriques de la période précédente (n-1). 
    Si l’écart observé est supérieur ou égale à 5 centimètres, la tendance
    a été considérée comme étant à la hausse (↗), si l’écart observé est inférieur 
    ou égale  à 5 centimètres, la tendance est considérée comme étant à la baisse (↘). 
    Dans l’intervalle, la tendance est considérée comme stable (→).
    Les tendances ne sont pas été calculées pour les sites 
    de surveillance faisant l’objet de captages en activité et 
    lorsque les mesures sont incomplètes et indiquées par le signe ×. 
</p>
{% else %}

<p>
Cette station étant sujette à captages, nous ne produisons pas de statistiques.
</p>

{% endif %}



{% endblock body %} 

<!-- {% block disclaimer%} 
{% endblock disclaimer %} -->
